CMSIS-DSP: arm_iir_lattice_instance_q31 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_iir_lattice_instance_q31 Struct Reference

Instance structure for the Q31 IIR lattice filter.

## Data Fields

uint16_t | numStages
q31_t * | pState
q31_t * | pkCoeffs
q31_t * | pvCoeffs

## Field Documentation

uint16_t numStages

number of stages in the filter.

q31_t* pkCoeffs

points to the reflection coefficient array. The array is of length numStages.

q31_t* pState

points to the state variable array. The array is of length numStages+blockSize.

q31_t* pvCoeffs

points to the ladder coefficient array. The array is of length numStages+1.